Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Daniel Vetter <[email-masked]>
Date: Thu, 1 Oct 2015 08:41:38 +0200

On Thu, Oct 01, 2015 at 12:47:17PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the drm-misc tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "drm_agp_release" [drivers/gpu/drm/radeon/radeon.ko] undefined!
> ERROR: "drm_agp_acquire" [drivers/gpu/drm/radeon/radeon.ko] undefined!
> ERROR: "drm_agp_enable" [drivers/gpu/drm/radeon/radeon.ko] undefined!
> ERROR: "drm_agp_info" [drivers/gpu/drm/radeon/radeon.ko] undefined!
> ERROR: "drm_agp_release" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_acquire" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_free" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_bind" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_unbind" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_alloc" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_enable" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_info" [drivers/gpu/drm/mga/mga.ko] undefined!
> ERROR: "drm_agp_unbind_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_init" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_alloc_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_clear" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_info_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_enable_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_release_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_bind_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_acquire_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> ERROR: "drm_agp_free_ioctl" [drivers/gpu/drm/drm.ko] undefined!
> 
> Not quite sure which commit caused this, but I have used the drm-misc
> tree from next-20150930 for today.

Build fail for CONFIG_AGP=m (bot not y or n). I'm wrestling kbuild atm.
-Daniel
-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch